﻿@model footlucker.Models.Product

<div class='page_title_container'>
    <h2 class='page_title'>יצירת מוצר</h2>
</div>

@{
    if (ViewData["errorMessage"] != null)
    {
        <div class="alert alert-danger" role="alert">
            @ViewData["errorMessage"]
        </div>
    }
}

<div class='create_edit_form_container'>
    <form method="post" enctype="multipart/form-data" asp-action="create" class='create_edit_form'>
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <div class="form-group">
            <label asp-for="Price" class="control-label"></label>
            <input asp-for="Price" class="form-control" />
            <span asp-validation-for="Price" class="text-danger"></span>
        </div>
        <div class="form-group">
            <label asp-for="Name" class="control-label"></label>
            <input asp-for="Name" class="form-control" />
            <span asp-validation-for="Name" class="text-danger"></span>
        </div>
        <div class="form-group">
            <label asp-for="Size" class="control-label"></label>
            <input asp-for="Size" class="form-control" />
            <span asp-validation-for="Size" class="text-danger"></span>
        </div>
        <div class="form-group">
            <label asp-for="Supplier.Name" class="control-label"></label>
            @Html.DropDownList("SupplierId")
            <span asp-validation-for="Supplier.Name" class="text-danger"></span>
        </div>
        <div class="form-group">
            <label asp-for="ProductType.Name" class="control-label"></label>
            @Html.DropDownList("ProductTypeId")
            <span asp-validation-for="ProductType.Name" class="text-danger"></span>
        </div>
        <div class="form-group">
            <label asp-for="PictureName" class="control-label"></label>
            <div class="col-md-10">
                <input type="file" name="file" />
            </div>
            <span asp-validation-for="PictureName" class="text-danger"></span>
        </div>
        <div class="form-group form_footer">
            <input type="submit" value="צור" class="btn btn-default button" />
            <a asp-action="Index">חזרה לרשימה המלאה</a>
        </div>
    </form>
</div>

</br>
@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
